<?php echo select_tag('delivery[pointpack_method]', options_for_select(array_merge(array('NONE' => '-'), appPointPackCouriers::getListOfNames()), $delivery->getPointpackMethod()));?>

<script type="text/javascript" language="javascript">
    jQuery(function($) {
        $(document).ready(function() {
            $('#delivery_pointpack_method').change(function() {

                $('.pointpack_price_box').hide();
                $('.pointpack_price_box_none').hide();
                $('.pointpack_price_loading').show();

                if ($('#delivery_pointpack_method').val() != 'NONE') {
                    $.getJSON('/backend.php/pointpack/getPriceJson/' + $('#delivery_pointpack_method').val(), function(data) {
                        $('#delivery_pointpack_price').val(data.additional);
                        $('#delivery_pointpack_return_price').val(data.return);
                        $('.pointpack_price_box').show();
                        $('.pointpack_price_loading').hide();
                    });
                } else {
                    $('.pointpack_price_box_none').show();
                    $('.pointpack_price_box').hide();
                    $('.pointpack_price_loading').hide();
                }
            });

            if ($('#delivery_pointpack_method').val() == 'NONE') {
                $('.pointpack_price_box_none').show();
                $('.pointpack_price_box').hide();
                $('.pointpack_price_loading').hide();
            }

            $('#delivery_pointpack_price').change(function() {
                $(this).val(stPrice.fixNumberFormat($(this).val()));
            });

            $('#delivery_pointpack_return_price').change(function() { 
                $(this).val(stPrice.fixNumberFormat($(this).val()));
            });

            $('#delivery_pointpack_use_price').change(function() {
                $('#delivery_pointpack_price').prop('disabled', !$(this).prop('checked'));
            });

            $('#delivery_pointpack_use_return_price').change(function() {
                $('#delivery_pointpack_return_price').prop('disabled', !$(this).prop('checked'));
            });
        });
    });
</script>
