<?php
if ($config->get('map_group_points')) 
    use_javascript('appPointPackPlugin/markerclusterer.min.js');
use_javascript('appPointPackPlugin/jquery.ui.map.min.js'); 
use_javascript('appPointPackPlugin/appPointPackPlugin.js'); 
st_theme_use_stylesheet('appPointPackPlugin.css');
?>
<script type="text/javascript" src="http<?php echo ($isSecure ? 's' : '');?>://maps.google.com/maps/api/js?sensor=true"></script>
<script type="text/javascript" language="javascript">

jQuery(function ($) {

    var messages = ['<?php echo __('Wybierz punkt dostawy PointPack.pl');?>', 
                    '<?php echo __('Zmień punkt dostawy PointPack.pl');?>', 
                    '<?php echo __('Dostawa PointPack.pl');?>', 
                    '<?php echo __('Dodatkowy koszt przy odbiorze');?>',
                    '<?php echo __('Proszę wybrać punkt dostawy PointPack.pl.');?>',
                    '<?php echo __('Proszę zaznaczyć pole o zapoznaniu z regulaminem usługi dostawy za pośrednictwem PointPack.pl S.A..');?>',];

    $(document).ajaxComplete(function(event, request, settings) {
        if (settings.url.match(/stDeliveryFrontend\/ajaxPaymentUpdate/))
            $.pointpackShowAdditionalPrice(messages);
    });

    $(document).ready(function() {
        <?php if(!is_null($number) && !empty($number)):?>
            $.pointpackSelectPoint('<?php echo $number;?>', messages);
        <?php endif;?>

        $('.st_delivery-default').click(function() {
            $.pointpackRestoreBasket(messages);
        });

        $('.st_delivery-label').click(function() {
            $.pointpackRestoreBasket(messages);
        });

        $('#user_delivery_form').submit(function() {
            var deliveryIdChecked = $('input.st_delivery-default:checked').val();

            if($('#app_pointpack_delivery-' + deliveryIdChecked).length && !$('#app_pointpack_delivery_address-' + deliveryIdChecked).is(':visible')) {
                alert(messages[4]);
                return false;
            }

            if(!$('#app_pointpack_basket_terms').prop('checked') && $('#app_pointpack_basket_terms_box').is(':visible')) {
                alert(messages[5]);
                return false;
            }
        });

        $('.pointpack_active_overlay').click(function() {
            $.pointpackRestoreBasket(messages);

            var deliveryId = $(this).data('delivery-id');

            $("#delivery_default_delivery-" + deliveryId).prop('checked', true);
            $("#delivery_default_delivery-" + deliveryId).trigger('click');
            
            var api = $('#pointpack_overlay').data('overlay');
            if (!api) {
                $('#pointpack_overlay').overlay({
                    onBeforeLoad: function() {
                        var wrap = this.getOverlay().find('.pointpack_overlay_content');
                        $.get('<?php echo url_for('appPointPackFrontend/showMap');?>/' + deliveryId, function(data) {
                            wrap.html(data);
                        });
                    },
                    onClose: function () {
                        var wrap = this.getOverlay().find('.pointpack_overlay_content');
                        wrap.html('');
                    },
                    load: true
                });
            } else {
                api.load();
            }
        });
    });
});
</script>
<?php $smarty->display('pointpack_select_points_button.html');
