<?php

class appPointPack {

    public static function isActive() {
        $config = stConfig::getInstance('appPointPackPlugin');
        foreach (array('active', 'checkbox_terms', 'checkbox_data_process', 'checkbox_price', 'checkbox_invoice', 
                       'invoice_email', 'checkbox_newsletter', 'newsletter_email', 'checkbox_marketing') as $value)
            if (!$config->get($value, null))
                return false;
        return true;
    }

    public static function getAdditionalPriceByDelivery($delivery) {
        if(!is_object($delivery)) return 0;

        if ($delivery->getPointpackUsePrice())
            return $delivery->getPointpackPrice();

        return appPointPackCouriers::getAdditionalPrice($delivery->getPointpackMethod());
    }
}